using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.SqlServer.Dts.Runtime;

namespace SampleTask
{
   public partial class SampleTaskUIWnd : Form
   {
      private TaskHost m_taskHost;
      public SampleTaskUIWnd(TaskHost taskHost)
      {
         m_taskHost = taskHost;
         InitializeComponent();
         textBox1.Text = m_taskHost.Name;
         textBox2.Text = m_taskHost.Description;
      }

      private string name;            
      private void textBox1_TextChanged(object sender, EventArgs e)
      {
         name = textBox1.Text;
      }

      private string description;
      private void textBox2_TextChanged(object sender, EventArgs e)
      {
         description = textBox2.Text;         
      }

      private void button1_Click(object sender, EventArgs e)
      {
         m_taskHost.Name = name;
         m_taskHost.Description = description;
      }
   }
}